Bug 193094 - [NEW] devel/py-future: Clean single-source support for Python 3 and 2
Summary: [NEW] devel/py-future: Clean single-source support for Python 3 and 2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2014-08-28 13:44 UTC by Muhammad Moinur Rahman
Modified: 2014-12-22 11:28 UTC (History)
1 user (show)

See Also:


Attachments
shar for py-future-0.13.0 (1.65 KB, text/plain)
2014-08-28 13:44 UTC, Muhammad Moinur Rahman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2014-08-28 13:44:39 UTC
Created attachment 146448 [details]
shar for py-future-0.13.0

future is the missing compatibility layer between Python 3 and Python 2. It
allows you to use a single, clean Python 3.x-compatible codebase to support both
Python 3 and Python 2 with minimal overhead.

Notable projects that use future for Python 2/3 compatibility are Mezzanine and
ObsPy.

WWW: http://pypi.python.org/pypi/future

Poudriere logs:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/py27-future/0.13.0/
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-08-30 02:54:21 UTC
Review:

- Remove name and indefinite article from COMMENT [1]

  Suggest using the PyPi (setup.py) short description:

  "Clean single-source support for Python 3 and 2"

- Add LICENSE_FILE where one exists in the distribution files [2]

- pkg-descr WWW: https://github.com/PythonCharmers/python-future as set in setup.py (and displayed on PyPi under Homepage:)

- Where they exist, attempt to integrate unit tests, that is:

  * Add regression-test: target 

  @cd ${WRKSRC} && ${PYTHON_CMD} ${PYDISTUTILS_SETUP} test

  * Add TEST_DEPENDS for tests_requires (test dependencies)
  * Patch setup.py to add the test command if its doesn't already, and is  
    easy. Send the above patch upstream  (optional) [4][5][6]
  * Add TESTS option (optional)
  * Add TEST_DEPENDS to BUILD_DEPENDS if TESTS option is enabled (optional)
  * Add test suite results to your QA and future submissions, along with portlint, poudriere, redports, etc

[1] http://www2.au.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#makefile-comment
[2] https://github.com/PythonCharmers/python-future/blob/master/LICENSE.txt
[3] https://github.com/PythonCharmers/python-future/blob/master/setup.py#L63
[4] https://pythonhosted.org/setuptools/setuptools.html#test-build-package-and-run-a-unittest-suite
[5] http://nose.readthedocs.org/en/latest/setuptools_integration.html
[6] http://pytest.org/latest/goodpractises.html#integrating-with-distutils-python-setup-py-test

Pending updated patch based on above review
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2014-08-30 02:56:40 UTC
Also, feel free to provide an svn diff rather than a shell archive, including the relevant addition to devel/Makefile
Comment 3 commit-hook freebsd_committer 2014-12-22 11:00:30 UTC
A commit references this bug:

Author: koobs
Date: Mon Dec 22 10:59:50 UTC 2014
New revision: 375228
URL: https://svnweb.freebsd.org/changeset/ports/375228

Log:
  [NEW] devel/py-future: Clean single-source support for Python 3 and 2

  future is the missing compatibility layer between Python 2 and Python 3.

  It allows you to use a single, clean Python 3.x-compatible codebase to
  support both Python 2 and Python 3 with minimal overhead.

  WWW: https://python-future.org/

  PR:		193094
  Submitted by:	Muhammad Moinur Rahman <5u623l20 at gmail com> (with changes)

Changes:
  head/devel/Makefile
  head/devel/py-future/
  head/devel/py-future/Makefile
  head/devel/py-future/distinfo
  head/devel/py-future/pkg-descr
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-22 11:28:58 UTC
Committed with changes, thanks Muhammad!